org.richfaces.renderkit

## Class TreeRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.ajax4jsf.renderkit.AjaxComponentRendererBase
        - - org.ajax4jsf.renderkit.AjaxChildrenRenderer
          - - org.richfaces.renderkit.CompositeRenderer
            - - org.richfaces.renderkit.TreeRendererBase

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.AjaxRenderer, org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    TreeRenderer

      public abstract class TreeRendererBase
      extends org.richfaces.renderkit.CompositeRenderer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `TreeRendererBase.RowKeyHolder`

  - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer

      `log, SPECIAL_COMPONENTS_TYPES`

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeAjaxChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String path, java.util.Set ids, java.util.Set renderedAreas)`
    `void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `java.lang.String` | `encodeSelectionStateInput(javax.faces.context.FacesContext context, UITree tree)`
    `protected java.lang.String` | `getAjaxScript(javax.faces.context.FacesContext context, UITree tree)`
    `java.lang.String` | `getOptions(javax.faces.context.FacesContext context, UITree tree)`
    `protected java.lang.String` | `getSelectionValue(javax.faces.context.FacesContext context, UITree tree)`
    `void` | `writeContent(javax.faces.context.FacesContext context, UITree input)`
    `void` | `writeContent(javax.faces.context.FacesContext context, UITree input, org.richfaces.model.TreeRowKey key, boolean withSubnodes)`
    `void` | `writeNamespace(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `java.lang.String` | `writeScriptElement(javax.faces.context.FacesContext context, UITree tree, java.lang.String code)`

    - ### Methods inherited from class org.richfaces.renderkit.CompositeRenderer

      `addContributor, addParameterEncoder, doDecode, encodeAttributeParameters, escapeHtmlEntities, getContributors, getParameterEncoders, getScriptContributions, getScriptContributions, getScripts, getScripts, getStyles, getStyles, mergeScriptOptions, mergeScriptOptions`

    - ### Methods inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer

      `encodeAjaxComponent`

    - ### Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase

      `getAdditionalScripts`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer2

      `encodeToHead`

- - ### Constructor Detail

    - #### TreeRendererBase

          public TreeRendererBase()

  - ### Method Detail

    - #### writeNamespace

          public void writeNamespace(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeAjaxChildren

          public void encodeAjaxChildren(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component,
                                java.lang.String path,
                                java.util.Set ids,
                                java.util.Set renderedAreas)
                                  throws java.io.IOException

      Specified by:
        `encodeAjaxChildren` in interface `org.ajax4jsf.renderkit.AjaxRenderer`
      Overrides:
        `encodeAjaxChildren` in class `org.ajax4jsf.renderkit.AjaxChildrenRenderer`
      Throws:
        `java.io.IOException`

    - #### getSelectionValue

          protected java.lang.String getSelectionValue(javax.faces.context.FacesContext context,
                                           UITree tree)

    - #### encodeSelectionStateInput

          public java.lang.String encodeSelectionStateInput(javax.faces.context.FacesContext context,
                                                   UITree tree)
                                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getAjaxScript

          protected java.lang.String getAjaxScript(javax.faces.context.FacesContext context,
                                       UITree tree)

    - #### writeScriptElement

          public java.lang.String writeScriptElement(javax.faces.context.FacesContext context,
                                            UITree tree,
                                            java.lang.String code)
                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### writeContent

          public void writeContent(javax.faces.context.FacesContext context,
                          UITree input)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeContent

          public void writeContent(javax.faces.context.FacesContext context,
                          UITree input,
                          org.richfaces.model.TreeRowKey key,
                          boolean withSubnodes)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getOptions

          public java.lang.String getOptions(javax.faces.context.FacesContext context,
                                    UITree tree)

Copyright © 2013. All Rights Reserved.